Package com.usatiuk.dhfsfs.objects

# Class FileSyncHandler

java.lang.Object
com.usatiuk.dhfsfs.objects.FileSyncHandler

All Implemented Interfaces:
  `ObjSyncHandler<File,FileDto>`

@ApplicationScoped public class FileSyncHandler extends Object implements ObjSyncHandler<File,FileDto>
Handles synchronization of file objects.

## Constructor Summary

Constructors
Constructor
Description
`FileSyncHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, FileDto receivedData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSyncHandler

public FileSyncHandler()

## Method Details

### handleRemoteUpdate

public void handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, @Nullable FileDto receivedData)

Specified by:
  `handleRemoteUpdate` in interface `ObjSyncHandler<File,FileDto>`